import { Component } from '@angular/core';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss'],
})
export class Tab3Page {
  unreadMessages = 3; // Example value, update with actual unread tab3s count
  selectedTab = 'message';

  messages = [
    { avatar: 'assets/trucks.jpg', title: '交易物流', content: '您购买的宝贝已签收', time: '昨天' },
    { avatar: 'assets/user-avatar1.jpg', title: 'abab', content: '来自abab的穿搭分享', time: '昨天' },
    { avatar: 'assets/image2.jpg', title: '客服机器人2号', content: '请确认收货地址', time: '星期五' },
    { avatar: 'assets/user-avatar2.jpg', title: '穿搭小助手', content: '为您推荐', time: '星期四' },
    { avatar: 'assets/user-avatar3.jpg', title: 'iakz', content: '互关', time: '星期一' },
    // Add more tab3s as needed
  ];

  constructor() {}

  search() {
    // Implement search functionality
  }

  addNewMessage() {
    // Implement adding new tab3 functionality
  }

  selectTab(tab: string) {
    this.selectedTab = tab;
  }
}